## golang-goprotobuf 0.0~git20130901

=== Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


all:	install

install:
	go install ./proto
	go install ./protoc-gen-go

test:
	go test ./proto
	make -C protoc-gen-go/testdata test

clean:
	go clean ./...

nuke:
	go clean -i ./...

regenerate:
	make -C protoc-gen-go/descriptor regenerate
	make -C protoc-gen-go/plugin regenerate
	make -C proto/testdata regenerate

=== proto/testdata/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


include ../../Make.protobuf

all:	regenerate

regenerate:
	rm -f test.pb.go
	make test.pb.go
	
# The following rules are just aids to development. Not needed for typical testing.

diff:	regenerate
	hg diff test.pb.go

restore:
	cp test.pb.go.golden test.pb.go

preserve:
	cp test.pb.go test.pb.go.golden

=== protoc-gen-go/descriptor/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Not stored here, but descriptor.proto is in http://code.google.com/p/protobuf
# at protobuf-2.5.0/src/google/protobuf/descriptor.proto
regenerate:
	echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
	cd $(HOME)/src/protobuf-2.5.0/src && \
	protoc --go_out=. ./google/protobuf/descriptor.proto && \
	cp ./google/protobuf/descriptor.pb.go $(GOPATH)/src/code.google.com/p/goprotobuf/protoc-gen-go/descriptor/descriptor.pb.go

restore:
	cp descriptor.pb.golden descriptor.pb.go

preserve:
	cp descriptor.pb.go descriptor.pb.golden

=== protoc-gen-go/generator/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

include $(GOROOT)/src/Make.inc

TARG=code.google.com/p/goprotobuf/compiler/generator
GOFILES=\
	generator.go\

DEPS=../descriptor ../plugin ../../proto

include $(GOROOT)/src/Make.pkg

=== protoc-gen-go/plugin/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Not stored here, but plugin.proto is in http://code.google.com/p/protobuf
# at protobuf-2.5.0/src/google/protobuf/compiler/plugin.proto
# Also we need to fix an import.
regenerate:
	echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
	cd $(HOME)/src/protobuf-2.5.0/src && \
	protoc --go_out=. ./google/protobuf/compiler/plugin.proto && \
	cat ./google/protobuf/compiler/plugin.pb.go | \
		sed '/^import/s;google/protobuf/descriptor.pb;code.google.com/p/goprotobuf/protoc-gen-go/descriptor;' > $(GOPATH)/src/code.google.com/p/goprotobuf/protoc-gen-go/plugin/plugin.pb.go

restore:
	cp plugin.pb.golden plugin.pb.go

preserve:
	cp plugin.pb.go plugin.pb.golden

=== protoc-gen-go/testdata/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

all:
	@echo run make test

include ../../Make.protobuf

test:	golden testbuild

#test:	golden testbuild extension_test
#	./extension_test
#	@echo PASS

golden:
	make -B my_test/test.pb.go
	diff -w my_test/test.pb.go my_test/test.pb.go.golden

nuke:	clean

testbuild:	buildprotos
	go test

buildprotos:
	# Invoke protoc once to generate three independent .pb.go files in the same package.
	protoc --go_out=. multi/multi{1,2,3}.proto

#extension_test:	extension_test.$O
#	$(LD) -L. -o $@ $< 

#multi.a: multi3.pb.$O multi2.pb.$O multi1.pb.$O
#	rm -f multi.a
#	$(QUOTED_GOBIN)/gopack grc $@ $<

#test.pb.go:	imp.pb.go
#multi1.pb.go:	multi2.pb.go multi3.pb.go
#main.$O: imp.pb.$O test.pb.$O multi.a
#extension_test.$O: extension_base.pb.$O extension_extra.pb.$O extension_user.pb.$O

=== debian/changelog ===
golang-goprotobuf (0.0~git20130901-1) unstable; urgency=low

  * Initial release. Closes: #722975

 -- Tonnerre Lombard <tonnerre@ancient-solutions.com>  Sun, 01 Sep 2013 02:44:09 +0200

=== debian/control ===
Source: golang-goprotobuf
Section: devel
Priority: extra
Maintainer: Tonnerre Lombard <tonnerre@ancient-solutions.com>
Build-Depends: debhelper (>= 9), dh-golang, golang-go (>= 1.0)
Standards-Version: 3.9.4
Homepage: https://code.google.com/p/protobuf/
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-goprotobuf.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-goprotobuf.git;a=summary

Package: golang-goprotobuf-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, protobuf-compiler
Description: Protocol buffer support for the Go programming language
 Adds support for serializing and deserializing data in the protocol buffer
 format for users of the Go language. This will also install a protobuf
 compiler filter which will allow you to compile protocol buffers to Go
 code using protoc from the protobuf-compiler package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# DH_GOPKG is the upstream path which you would normally “go get”.
# Using it allows us to build applications without patching locations.
export DH_GOPKG := code.google.com/p/goprotobuf

%:
	dh $@ --buildsystem=golang --with=golang

## golang-goprotobuf 0.0~git20150526

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Go support for Protocol Buffers - Google's data interchange format
 #
 # Copyright 2010 The Go Authors.  All rights reserved.
-# http://code.google.com/p/goprotobuf/
+# https://github.com/golang/protobuf
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions are

=== proto/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

install:
	go install

test: install generate-test-pbs
	go test


generate-test-pbs:
	make install
	make -C testdata
	protoc --go_out=Mtestdata/test.proto=github.com/golang/protobuf/proto/testdata:. proto3_proto/proto3.proto
	make

=== protoc-gen-go/plugin/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Go support for Protocol Buffers - Google's data interchange format
 #
 # Copyright 2010 The Go Authors.  All rights reserved.
-# http://code.google.com/p/goprotobuf/
+# https://github.com/golang/protobuf
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions are
@@ -29,15 +29,15 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# Not stored here, but plugin.proto is in http://code.google.com/p/protobuf
-# at protobuf-2.5.0/src/google/protobuf/compiler/plugin.proto
+# Not stored here, but plugin.proto is in https://github.com/google/protobuf/
+# at src/google/protobuf/compiler/plugin.proto
 # Also we need to fix an import.
 regenerate:
 	echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
-	cd $(HOME)/src/protobuf-2.5.0/src && \
-	protoc --go_out=. ./google/protobuf/compiler/plugin.proto && \
-	cat ./google/protobuf/compiler/plugin.pb.go | \
-		sed '/^import/s;google/protobuf/descriptor.pb;code.google.com/p/goprotobuf/protoc-gen-go/descriptor;' > $(GOPATH)/src/code.google.com/p/goprotobuf/protoc-gen-go/plugin/plugin.pb.go
+	cd $(HOME)/src/protobuf/src && \
+	protoc --go_out=Mgoogle/protobuf/descriptor.proto=github.com/golang/protobuf/protoc-gen-go/descriptor:. \
+	  ./google/protobuf/compiler/plugin.proto && \
+	cat ./google/protobuf/compiler/plugin.pb.go > $(GOPATH)/src/github.com/golang/protobuf/protoc-gen-go/plugin/plugin.pb.go
 
 restore:
 	cp plugin.pb.golden plugin.pb.go

=== protoc-gen-go/testdata/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Go support for Protocol Buffers - Google's data interchange format
 #
 # Copyright 2010 The Go Authors.  All rights reserved.
-# http://code.google.com/p/goprotobuf/
+# https://github.com/golang/protobuf
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions are

=== debian/changelog ===
golang-goprotobuf (0.0~git20150526-2) unstable; urgency=medium

  * Add compatibility symlink to not break non-updated rdeps

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 27 Jun 2015 12:46:45 +0200

golang-goprotobuf (0.0~git20150526-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 13 Jun 2015 16:25:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: golang-goprotobuf
 Section: devel
 Priority: extra
-Maintainer: Tonnerre Lombard <tonnerre@ancient-solutions.com>
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Tonnerre Lombard <tonnerre@ancient-solutions.com>,
+           Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 9), dh-golang, golang-go (>= 1.0)
-Standards-Version: 3.9.4
-Homepage: https://code.google.com/p/protobuf/
+Standards-Version: 3.9.6
+Homepage: https://github.com/golang/protobuf
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-goprotobuf.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-goprotobuf.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # DH_GOPKG is the upstream path which you would normally “go get”.
 # Using it allows us to build applications without patching locations.
-export DH_GOPKG := code.google.com/p/goprotobuf
+export DH_GOPKG := github.com/golang/protobuf
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-goprotobuf 0.0~git20160425.7cc19b7

=== debian/changelog ===
golang-goprotobuf (0.0~git20160425.7cc19b7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Re-add DH_GOPKG as old dh-golang does not support XS-Go-Import-Path.

 -- Martín Ferrari <tincho@debian.org>  Wed, 04 May 2016 13:13:02 +0100

golang-goprotobuf (0.0~git20160425.7cc19b7-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/control: add myself to Uploaders, update Standards-Version with no
    changes, and remove unneeded dependency on gogo-protobuf.
  * Move to use XS-Go-Import-Path, and update various URIs.

 -- Martín Ferrari <tincho@debian.org>  Sun, 01 May 2016 06:32:32 +0100

golang-goprotobuf (0.0~git20160330-1) unstable; urgency=medium

  * Team upload.

  [ Tonnerre LOMBARD ]
  * Fix compatibility symlink target (protobuf -> goprotobuf)

  [ Tianon Gravi ]
  * Switch to https in Vcs-Browser

  [ Dmitry Smirnov ]
  * New upstream snapshot.
  * Standards-Version: 3.9.7.
  * Removed "protobuf-source-files" patch;
    missing .proto files provided by "gogo-protobuf".
  * Build-Depends += "golang-github-gogo-protobuf-dev".
  * copyright: use actual text of the license.
  * Added "gbp.conf", "TODO.Debian", "watch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 01 Apr 2016 13:31:58 +1100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tonnerre Lombard <tonnerre@ancient-solutions.com>,
-           Michael Stapelberg <stapelberg@debian.org>
+           Michael Stapelberg <stapelberg@debian.org>,
+           Martín Ferrari <tincho@debian.org>
 Build-Depends: debhelper (>= 9), dh-golang, golang-go (>= 1.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/golang/protobuf
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-goprotobuf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-go/packages/golang-goprotobuf.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-goprotobuf.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-goprotobuf.git
+XS-Go-Import-Path: github.com/golang/protobuf
 
 Package: golang-goprotobuf-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/golang/protobuf

%:
	dh $@ --buildsystem=golang --with=golang

## golang-goprotobuf 0.0~git20160815.0.7390af9

=== protoc-gen-go/testdata/Makefile ===
--- 
+++ 
@@ -40,21 +40,28 @@
 #	./extension_test
 #	@echo PASS
 
+my_test/test.pb.go: my_test/test.proto
+	protoc --go_out=Mmulti/multi1.proto=github.com/golang/protobuf/protoc-gen-go/testdata/multi:. $<
+
 golden:
 	make -B my_test/test.pb.go
+	sed -i '/return.*fileDescriptor/d' my_test/test.pb.go
+	sed -i '/^var fileDescriptor/,/^}/d' my_test/test.pb.go
+	sed -i '/proto.RegisterFile.*fileDescriptor/d' my_test/test.pb.go
+	gofmt -w my_test/test.pb.go
 	diff -w my_test/test.pb.go my_test/test.pb.go.golden
 
 nuke:	clean
 
-testbuild:	buildprotos
+testbuild:	regenerate
 	go test
 
-buildprotos:
+regenerate:
 	# Invoke protoc once to generate three independent .pb.go files in the same package.
 	protoc --go_out=. multi/multi{1,2,3}.proto
 
 #extension_test:	extension_test.$O
-#	$(LD) -L. -o $@ $< 
+#	$(LD) -L. -o $@ $<
 
 #multi.a: multi3.pb.$O multi2.pb.$O multi1.pb.$O
 #	rm -f multi.a

=== debian/changelog ===
golang-goprotobuf (0.0~git20160815.0.7390af9-3) unstable; urgency=medium

  * Include patch that works around a bug in gccgo, thanks to Michael
    Hudson-Doyle.

 -- Martín Ferrari <tincho@debian.org>  Fri, 30 Sep 2016 02:06:11 +0200

golang-goprotobuf (0.0~git20160815.0.7390af9-2) unstable; urgency=medium

  * Remove Tonnerre LOMBARD from Uploaders per MIA-team request.
    Closes: #836488.
  * Switch to golang-any for better platform support.
  * Add a lintian override for static binaries, as lintian does not seem to
    realise this is a golang package.

 -- Martín Ferrari <tincho@debian.org>  Sun, 25 Sep 2016 17:31:57 +0000

golang-goprotobuf (0.0~git20160815.0.7390af9-1) unstable; urgency=medium

  * Team upload.

  [ Martín Ferrari ]
  * Require dh-golang 1.10, for XS-Go-Import-Path.

  [ Dmitry Smirnov ]
  * New upstream snapshot.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Aug 2016 22:40:06 +1000

## golang-goprotobuf 0.0~git20161116.0.224aaba

=== debian/changelog ===
golang-goprotobuf (0.0~git20161116.0.224aaba-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update dh-golang dependency and remove now unneeded DH_GOPKG.

 -- Martín Ferrari <tincho@debian.org>  Mon, 13 Feb 2017 08:26:22 -0300

golang-goprotobuf (0.0~git20161116.0.224aaba-3) unstable; urgency=medium

  * Fix typo in patch that made it useless, and also patch out decode_test.go.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 15:50:44 +0100

golang-goprotobuf (0.0~git20161116.0.224aaba-2) unstable; urgency=medium

  * Disable some tests that fail to compile in gccgo (differences in the
    testing library).

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 05:37:50 +0000

golang-goprotobuf (0.0~git20161116.0.224aaba-1) unstable; urgency=medium

  * New upstream release.
  * Add missing testdata dirs.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Nov 2016 04:45:11 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tonnerre Lombard <tonnerre@ancient-solutions.com>,
-           Michael Stapelberg <stapelberg@debian.org>,
+Uploaders: Michael Stapelberg <stapelberg@debian.org>,
            Martín Ferrari <tincho@debian.org>
-Build-Depends: debhelper (>= 9), dh-golang, golang-go (>= 1.0)
+Build-Depends: debhelper (>= 9), dh-golang (>= 1.17~), golang-any
 Standards-Version: 3.9.8
 Homepage: https://github.com/golang/protobuf
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-goprotobuf.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_GOLANG_INSTALL_EXTRA := proto/testdata protoc-gen-go/testdata

%:
	dh $@ --buildsystem=golang --with=golang

## golang-goprotobuf 0.0~git20170808.0.1909bc2

=== Makefile ===
--- 
+++ 
@@ -33,11 +33,11 @@
 all:	install
 
 install:
-	go install ./proto
+	go install ./proto ./jsonpb ./ptypes
 	go install ./protoc-gen-go
 
 test:
-	go test ./proto
+	go test ./proto ./jsonpb ./ptypes
 	make -C protoc-gen-go/testdata test
 
 clean:
@@ -49,4 +49,7 @@
 regenerate:
 	make -C protoc-gen-go/descriptor regenerate
 	make -C protoc-gen-go/plugin regenerate
+	make -C protoc-gen-go/testdata regenerate
 	make -C proto/testdata regenerate
+	make -C jsonpb/jsonpb_test_proto regenerate
+	make -C _conformance regenerate

=== jsonpb/jsonpb_test_proto/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2015 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	protoc --go_out=Mgoogle/protobuf/any.proto=github.com/golang/protobuf/ptypes/any,Mgoogle/protobuf/duration.proto=github.com/golang/protobuf/ptypes/duration,Mgoogle/protobuf/struct.proto=github.com/golang/protobuf/ptypes/struct,Mgoogle/protobuf/timestamp.proto=github.com/golang/protobuf/ptypes/timestamp,Mgoogle/protobuf/wrappers.proto=github.com/golang/protobuf/ptypes/wrappers:. *.proto

=== protoc-gen-go/descriptor/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Go support for Protocol Buffers - Google's data interchange format
 #
 # Copyright 2010 The Go Authors.  All rights reserved.
-# http://code.google.com/p/goprotobuf/
+# https://github.com/golang/protobuf
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions are
@@ -29,16 +29,8 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-# Not stored here, but descriptor.proto is in http://code.google.com/p/protobuf
-# at protobuf-2.5.0/src/google/protobuf/descriptor.proto
+# Not stored here, but descriptor.proto is in https://github.com/google/protobuf/
+# at src/google/protobuf/descriptor.proto
 regenerate:
-	echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
-	cd $(HOME)/src/protobuf-2.5.0/src && \
-	protoc --go_out=. ./google/protobuf/descriptor.proto && \
-	cp ./google/protobuf/descriptor.pb.go $(GOPATH)/src/code.google.com/p/goprotobuf/protoc-gen-go/descriptor/descriptor.pb.go
-
-restore:
-	cp descriptor.pb.golden descriptor.pb.go
-
-preserve:
-	cp descriptor.pb.go descriptor.pb.golden
+	@echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
+	protoc --go_out=../../../../.. -I$(HOME)/src/protobuf/include $(HOME)/src/protobuf/include/google/protobuf/descriptor.proto

=== protoc-gen-go/plugin/Makefile ===
--- 
+++ 
@@ -33,11 +33,9 @@
 # at src/google/protobuf/compiler/plugin.proto
 # Also we need to fix an import.
 regenerate:
-	echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
-	cd $(HOME)/src/protobuf/src && \
-	protoc --go_out=Mgoogle/protobuf/descriptor.proto=github.com/golang/protobuf/protoc-gen-go/descriptor:. \
-	  ./google/protobuf/compiler/plugin.proto && \
-	cat ./google/protobuf/compiler/plugin.pb.go > $(GOPATH)/src/github.com/golang/protobuf/protoc-gen-go/plugin/plugin.pb.go
+	@echo WARNING! THIS RULE IS PROBABLY NOT RIGHT FOR YOUR INSTALLATION
+	protoc --go_out=Mgoogle/protobuf/descriptor.proto=github.com/golang/protobuf/protoc-gen-go/descriptor:../../../../.. \
+		-I$(HOME)/src/protobuf/include $(HOME)/src/protobuf/include/google/protobuf/compiler/plugin.proto
 
 restore:
 	cp plugin.pb.golden plugin.pb.go

=== protoc-gen-go/testdata/Makefile ===
--- 
+++ 
@@ -45,9 +45,9 @@
 
 golden:
 	make -B my_test/test.pb.go
-	sed -i '/return.*fileDescriptor/d' my_test/test.pb.go
-	sed -i '/^var fileDescriptor/,/^}/d' my_test/test.pb.go
-	sed -i '/proto.RegisterFile.*fileDescriptor/d' my_test/test.pb.go
+	sed -i -e '/return.*fileDescriptor/d' my_test/test.pb.go
+	sed -i -e '/^var fileDescriptor/,/^}/d' my_test/test.pb.go
+	sed -i -e '/proto.RegisterFile.*fileDescriptor/d' my_test/test.pb.go
 	gofmt -w my_test/test.pb.go
 	diff -w my_test/test.pb.go my_test/test.pb.go.golden
 
@@ -58,7 +58,7 @@
 
 regenerate:
 	# Invoke protoc once to generate three independent .pb.go files in the same package.
-	protoc --go_out=. multi/multi{1,2,3}.proto
+	protoc --go_out=. multi/multi1.proto multi/multi2.proto multi/multi3.proto
 
 #extension_test:	extension_test.$O
 #	$(LD) -L. -o $@ $<

=== debian/changelog ===
golang-goprotobuf (0.0~git20170808.0.1909bc2-2) unstable; urgency=medium

  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:45:53 +0100

golang-goprotobuf (0.0~git20170808.0.1909bc2-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Team upload.
  * New upstream version.
  * Testsuite: autopkgtest-pkg-go.
  * Bump Standards-Version to 4.0.0.
  * Refresh patches.
  * Depend on golang-golang-x-sync-dev.
  * Remove unused statically-linked-binary lintian override.

  [ Martín Ferrari ]
  * Update dh-golang dependency.

 -- Alexandre Viau <aviau@debian.org>  Sun, 13 Aug 2017 01:34:01 -0400

=== debian/control ===
Source: golang-goprotobuf
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang (>= 1.17~),
               golang-any,
               golang-golang-x-sync-dev,
Standards-Version: 4.0.0
Homepage: https://github.com/golang/protobuf
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-goprotobuf.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-goprotobuf.git
XS-Go-Import-Path: github.com/golang/protobuf
Testsuite: autopkgtest-pkg-go

Package: golang-goprotobuf-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         protobuf-compiler,
         golang-golang-x-sync-dev,
Built-Using: ${misc:Built-Using}
Description: Protocol buffer support for the Go programming language
 Adds support for serializing and deserializing data in the protocol buffer
 format for users of the Go language. This will also install a protobuf
 compiler filter which will allow you to compile protocol buffers to Go
 code using protoc from the protobuf-compiler package.

=== debian/watch ===
## Upstream does not use versioning:
## https://github.com/golang/protobuf/issues/161

## golang-goprotobuf 1.2.0

=== debian/changelog ===
golang-goprotobuf (1.2.0-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * watch file to track upstream releases.  Finally upstream realized
    importance of tagging formal releases.

  [ Martín Ferrari ]
  * New upstream release (not using git snapshots any more!)
  * Regenerate all .pb.go files when building.
  * debian/gbp.conf: Stop using pristine-tar, and update standard.
  * Automated cme fixes.
  * debian/control: Update Standards-Version with no changes.

  [ Anthony Fok ]
  * Use debhelper (>= 11~).
  * Bump Standards-Version to 4.3.0 (no change).
  * Build-Depend on dh-golang (>= 1.31~) which installs testdata/.
    and remove DH_GOLANG_INSTALL_EXTRA entries in debian/rules.
  * Add myself to the list of Uploaders.

 -- Anthony Fok <foka@debian.org>  Tue, 01 Jan 2019 22:35:44 -0700

=== debian/control ===
Source: golang-goprotobuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Anthony Fok <foka@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-golang (>= 1.31~),
               golang-any,
               golang-golang-x-sync-dev,
               libprotobuf-dev,
               protobuf-compiler,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-goprotobuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-goprotobuf.git
Homepage: https://github.com/golang/protobuf
XS-Go-Import-Path: github.com/golang/protobuf

Package: golang-goprotobuf-dev
Architecture: any
Depends: golang-golang-x-sync-dev,
         libprotobuf-dev,
         protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Protocol buffer support for the Go programming language
 Adds support for serializing and deserializing data in the protocol buffer
 format for users of the Go language. This will also install a protobuf
 compiler filter which will allow you to compile protocol buffers to Go
 code using protoc from the protobuf-compiler package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export BUILDDIR := $(CURDIR)/build

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_configure:
	dh_auto_configure
	cd $(BUILDDIR)/src/github.com/golang/protobuf; \
            GOPATH=$(BUILDDIR) $(CURDIR)/regenerate.sh

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,\
" https://github.com/golang/protobuf/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-goprotobuf 1.3.2

=== debian/changelog ===
golang-goprotobuf (1.3.2-2) unstable; urgency=medium

  * Set GOCACHE so that regenerate.sh works with Go 1.12

 -- Anthony Fok <foka@debian.org>  Sun, 11 Aug 2019 00:14:41 -0600

golang-goprotobuf (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * Update debian/watch with filenamemangle and without recompression
  * Apply "cme fix dpkg" fixes
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
    - Fix empty synopsis in 02-Disable_benchmarks_gccgo.patch
  * Remove dependency on golang-golang-x-sync-dev as per upstream
  * Remove old gccgo-6 workaround patches and see if we can do without them
    with gccgo-8:
    - 01-Workaround_gccgo_bug.patch
    - 02-Disable_benchmarks_gccgo.patch
  * Refresh 03-Regenerate_all.patch

 -- Anthony Fok <foka@debian.org>  Sun, 28 Jul 2019 23:30:55 -0600

=== debian/control ===
Source: golang-goprotobuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Anthony Fok <foka@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.31~),
               golang-any,
               libprotobuf-dev,
               protobuf-compiler
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-goprotobuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-goprotobuf.git
Homepage: https://github.com/golang/protobuf
XS-Go-Import-Path: github.com/golang/protobuf

Package: golang-goprotobuf-dev
Architecture: any
Depends: libprotobuf-dev,
         protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Protocol buffer support for the Go programming language
 Adds support for serializing and deserializing data in the protocol buffer
 format for users of the Go language. This will also install a protobuf
 compiler filter which will allow you to compile protocol buffers to Go
 code using protoc from the protobuf-compiler package.

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,5 @@
 override_dh_auto_configure:
 	dh_auto_configure
 	cd $(BUILDDIR)/src/github.com/golang/protobuf; \
-            GOPATH=$(BUILDDIR) $(CURDIR)/regenerate.sh
+            GOPATH=$(BUILDDIR) GOCACHE=$(BUILDDIR)/go-build \
+	    $(CURDIR)/regenerate.sh

=== debian/watch ===
version=4
    opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-goprotobuf-$1.tar.gz%" \
    https://github.com/golang/protobuf/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## golang-goprotobuf 1.3.4

=== Makefile ===
--- 
+++ 
@@ -29,16 +29,15 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-
 all:	install
 
 install:
-	go install ./proto ./jsonpb ./ptypes
-	go install ./protoc-gen-go
+	go install ./proto ./jsonpb ./ptypes ./protoc-gen-go
 
 test:
-	go test ./proto ./jsonpb ./ptypes
-	make -C protoc-gen-go/testdata test
+	go test ./... ./protoc-gen-go/testdata
+	go test -tags purego ./... ./protoc-gen-go/testdata
+	cd protoc-gen-go/testdata/grpc && go build grpc.pb.go
 
 clean:
 	go clean ./...
@@ -47,9 +46,4 @@
 	go clean -i ./...
 
 regenerate:
-	make -C protoc-gen-go/descriptor regenerate
-	make -C protoc-gen-go/plugin regenerate
-	make -C protoc-gen-go/testdata regenerate
-	make -C proto/testdata regenerate
-	make -C jsonpb/jsonpb_test_proto regenerate
-	make -C _conformance regenerate
+	./regenerate.sh

=== debian/changelog ===
golang-goprotobuf (1.3.4-2) unstable; urgency=medium

  * 03-Regenerate_all.patch: Add -p option to mkdir vendor
    to fix "mkdir: cannot create directory ‘vendor’: File exists" error
    in autopkgtest run

 -- Anthony Fok <foka@debian.org>  Sun, 01 Mar 2020 04:46:03 -0700

golang-goprotobuf (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4
  * Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Tweak debian/rules

 -- Anthony Fok <foka@debian.org>  Thu, 27 Feb 2020 00:33:45 -0700

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                golang-any,
                libprotobuf-dev,
                protobuf-compiler
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-goprotobuf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-goprotobuf.git
 Homepage: https://github.com/golang/protobuf
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/golang/protobuf
 
 Package: golang-goprotobuf-dev

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export BUILDDIR := $(CURDIR)/_build

%:
	dh $@ --builddirectory=$(BUILDDIR) --buildsystem=golang --with golang

execute_after_dh_auto_configure:
	cd $(BUILDDIR)/src/github.com/golang/protobuf; \
            GOPATH=$(BUILDDIR) GOCACHE=$(BUILDDIR)/go-build \
	    $(CURDIR)/regenerate.sh

=== debian/watch ===
version=4
    opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-goprotobuf-$1.tar.gz%" \
    https://github.com/golang/protobuf/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## golang-goprotobuf 1.3.5

=== debian/changelog ===
golang-goprotobuf (1.3.5-2) unstable; urgency=medium

  * Team upload
  * Update package description

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 31 Oct 2022 02:44:53 +0800

golang-goprotobuf (1.3.5-1) unstable; urgency=medium

  * Team upload
  * Update uscan watch file to track v1.3.x
  * New upstream version v1.3.5
  * Split protoc-gen-go plugin from -dev package.
    So we can use old protoc-gen-go-1-3 to generate pb.go files but
    use golang-github-golang-protobuf-1-5-dev same time.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 30 Oct 2022 17:11:23 +0800

=== debian/control ===
Source: golang-goprotobuf
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Anthony Fok <foka@debian.org>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.31~),
               golang-any,
               libprotobuf-dev,
               protobuf-compiler,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-goprotobuf
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-goprotobuf.git
Homepage: https://github.com/golang/protobuf
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/golang/protobuf

Package: golang-goprotobuf-dev
Architecture: any
Section: oldlibs
Depends: golang-github-golang-protobuf-1-3-dev,
         protoc-gen-go-1-3,
         ${misc:Depends},
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: golang-github-golang-protobuf-1-3-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Conflicts: golang-github-golang-protobuf-1-5-dev,
Breaks: golang-goprotobuf-dev (<< 1.3.5-1~),
Replaces: golang-goprotobuf-dev (<< 1.3.5-1~),
Description: Go support for protocol buffers (version v1.3.x)
 This module (github.com/golang/protobuf) contains Go bindings for protocol
 buffers.
 .
 v1.3.x is the most recent pre-APIv2 version of Go API for protocol buffers.
 .
 For APIv2, see https://go.dev/blog/protobuf-apiv2.

Package: protoc-gen-go-1-3
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: libprotobuf-dev,
         protobuf-compiler,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-goprotobuf-dev (<< 1.3.5-1~),
Conflicts: protoc-gen-go,
           protoc-gen-go-1-5,
Replaces: golang-goprotobuf-dev (<< 1.3.5-1~),
Description: Go plugin for protobuf compiler (version v1.3.x)
 This protobuf compiler plugin is from github.com/golang/protobuf module.
 .
 v1.3.x is the most recent pre-APIv2 version of Go API for protocol buffers.
 .
 For APIv2, see https://go.dev/blog/protobuf-apiv2.
